package ru.ulstu.extractor.gitrepository.service;

import ru.ulstu.extractor.branch.model.Branch;

public interface GitApi {
    Integer getBranchesCount(Branch branch);

    Integer getStarsCount(Branch branch);

    Integer getOpenIssuesCount(Branch branch);

    String getFormattedUrl(Branch branch, String template);

    Integer getAuthorsCompletedIssues(Branch branch);

    String getRepositoryId(String repositoryUrl);
}
